Get Role
curl --request GET \
--url https://api.trillet.ai/v1/api/roles-and-permissions/roles/{roleId} \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/roles-and-permissions/roles/{roleId}"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/roles-and-permissions/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"name": "Agent Manager",
"description": "Can manage agents and view call history",
"permissions": [
{ "key": "agent_view", "category": "agents" },
{ "key": "agent_create", "category": "agents" },
{ "key": "agent_edit", "category": "agents" }
],
"userIds": ["user_001"]
}
Get Role
Retrieve a specific role by its ID.
GET
/
v1
/
api
/
roles-and-permissions
/
roles
/
{roleId}
Get Role
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The unique identifier of the role.
Response Fields
string
Unique identifier for the role.
string
Name of the role.
string
Description of the role.
array
Array of permission objects assigned to the role.
array
Array of user IDs assigned to this role.
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"name": "Agent Manager",
"description": "Can manage agents and view call history",
"permissions": [
{ "key": "agent_view", "category": "agents" },
{ "key": "agent_create", "category": "agents" },
{ "key": "agent_edit", "category": "agents" }
],
"userIds": ["user_001"]
}
⌘I
